#
# spec file for package python-bibtex (Version 1.2.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  glib2 glib2-devel pkgconfig python python-devel recode recode-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext glib2 glib2-devel gnome-filesystem libtool perl pkgconfig python python-devel recode recode-devel rpm

Name:         python-bibtex
Summary:      Python interface to BibTeX files
License:      GPL
Version:      1.2.2
Release:      0.1
Group:        Development/Libraries/Python
Source:       http://unc.dl.sourceforge.net/sourceforge/pybliographer/%{name}-%{version}.tar.gz
# Patch:        python-bibtex-aliasing.diff
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:     python >= %pyver, python < %pyver.99
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://pybliographer.org/

%description
This python extension contains a BibTeX parser and a simple binding to
the GNU Recode library. They are intended to be used with
pybliographer.



Authors:
--------
    Frederic Gobry <frederic.gobry@epfl.ch>
    Herve Dreau <hdreau@cybercable.fr>
    Travis Oliphant <Oliphant.Travis@mayo.edu>

%debug_package
%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fstrict-aliasing"
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-, root, root)
%doc README

%changelog -n python-bibtex
* Mon Oct 17 2005 - ke@suse.de
- Update to version 1.2.2.
* Fri Oct 08 2004 - ke@suse.de
- Update to version 1.2.1.
- Remove obsolete patch.
* Wed Aug 11 2004 - pth@suse.de
- Fix pointer<->int casts
* Wed Oct 22 2003 - mcihar@suse.cz
- no root for build
- cleaned up spec file
* Tue Oct 21 2003 - ke@suse.de
- Use versioned dependency on python; recommended by Michal Cihar.
* Tue Oct 21 2003 - ke@suse.de
- New package: version 1.1.93.1.
